Bug 145944 - dead code detected
Summary: dead code detected
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Petr Raszyk
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-24 10:42 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 15:25:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ntp-4.2.0.a.20050816-10.1.src.rpm (2.40 MB, application/x-rpm)
2006-01-03 15:24 UTC, Petr Raszyk
no flags Details

Description David Binderman 2005-01-24 10:42:07 UTC
Description of problem:

I just tried to compile package ntp-4.2.0.a.20040617-6 from 
Redhat Fedora development tree.

The compiler said

./../libisc/interfaceiter.c(99): remark #177: function "get_scopeid"
was declared but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Petr Raszyk 2006-01-03 15:24:28 UTC
Created attachment 122715 [details]
ntp-4.2.0.a.20050816-10.1.src.rpm


You are right ! The function get_scopeid() is not
called in ntpd-daemon and this function is compiled in
(tested in FEDORA CORE 4, i386).

RESUME: a) gcc compiler 'removes' this 'unused entry', so the binary does
	   not 'grow'.
	b) we could not observe the warning (as you are describing)
	   during the compilation of the ntpd-daemon
	
The ntpd-binary contains (functions from libisc/interfaceiter.c): 
			   isc_interfaceiter_destroy(),
			   isc_interfaceiter_current(),
			   ...
			   ...
but not get_scopeid().

There is nothing to fix.


Note You need to log in before you can comment on or make changes to this bug.